class Shop < ApplicationRecord
	#ShopDetail = Shop.find_by_id(1)

	# Shop Image Uploader
  	mount_uploader :logo, ShopImageUploader

  	has_many :display_images
 	accepts_nested_attributes_for :display_images

 	def file_data=(input_data)
	    self.data = input_data.read
	end
end
